/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\LOG_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LOG_FAILRECORD') 
 CREATE TABLE T_LOG_FAILRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FMESSAGE NVARCHAR(1024) DEFAULT ' ' NOT NULL,
FRETRYTIMES INT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FNEXTRETRYTIME BIGINT DEFAULT 0 NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LOG_INDEX') 
 CREATE TABLE T_LOG_INDEX (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL,
FCAPACITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCS BIGINT DEFAULT 0 NOT NULL
);
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\LOG_table.sql **/
